/* --------------------
  EC-CUBE互換調整スタイル
  pregio非対応ページのみ読み込み
--------------------- */

/* pregioテーマのヘッダーとEC-CUBE画面のタイトルがかぶらないように調整 */
.eccube_page .ec-pageHeader {
  padding-top: 9em;
}

/* EC-CUBE既定のa:hoverの青文字などを無効化 */
a:hover {
  color: inherit;
}

/* ヘッダーリンクを黒色にする */
.l-header__list a {
  color: black !important;
}

/* ホバー時も黒色を維持 */
.l-header__list a:hover {
  color: black !important;
}

/* Swiper.js のスタイル競合調整（必要に応じて拡張） */
.swiper-slide {
  flex-shrink: 0 !important;
}

/* 下部マージン 
.mypage .ec-mypageRole{
  margin-bottom: 40px; /* 適宜調整。例えば 60px や 100px もOK
}*/

.cart_page .ec-off3Grid ,
.cart_page .ec-cartRole__actions,
.mypage .ec-RegisterRole__actions ,
.mypage .ec-off4Grid__cell,
.mypage .ec-orderRole__detail,
.mypage .ec-favoriteRole__header,
.mypage .ec-addressList,
.cart_page .ec-off4Grid,
.registration_page .ec-off4Grid,
.ec-orderConfirm,
.ec-registerRole__actions,
.ec-AddAddress,
.ec-forgotRole{
  margin-bottom: 60px; /* 適宜調整。例えば 60px や 100px もOK */
}


